diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-spectrum-value-helper.h ns-3.44/src/wifi/model/wifi-spectrum-value-helper.h
--- ns-3.43/src/wifi/model/wifi-spectrum-value-helper.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-spectrum-value-helper.h	2025-03-09 16:55:49.803372600 -0700
@@ -13,7 +13,7 @@
 
 #include "wifi-units.h"
 
-#include <ns3/spectrum-value.h>
+#include "ns3/spectrum-value.h"
 
 #include <vector>
 
@@ -26,7 +26,7 @@
 using WifiSpectrumBandIndices = std::pair<uint32_t, uint32_t>;
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  *  This class defines all functions to create a spectrum model for
  *  Wi-Fi based on a a spectral model aligned with an OFDM subcarrier
@@ -46,11 +46,11 @@
      * +/- the guard bands (i.e. the model will span (channelWidth +
      * 2 * guardBandwidth) MHz of bandwidth).
      *
-     * \param centerFrequencies center frequency per segment
-     * \param channelWidth total allocated channel width over all segments
-     * \param carrierSpacing carrier spacing
-     * \param guardBandwidth total width of the guard band, which will be split over the segments
-     * \return the static SpectrumModel instance corresponding to the
+     * @param centerFrequencies center frequency per segment
+     * @param channelWidth total allocated channel width over all segments
+     * @param carrierSpacing carrier spacing
+     * @param guardBandwidth total width of the guard band, which will be split over the segments
+     * @return the static SpectrumModel instance corresponding to the
      * given carrier frequency and channel width configuration.
      */
     static Ptr<SpectrumModel> GetSpectrumModel(const std::vector<MHz_u>& centerFrequencies,
@@ -64,12 +64,12 @@
      * The center frequency typically corresponds to 802.11b channel
      * center frequencies but is not restricted to those frequencies.
      *
-     * \note There is no channel width parameter; this method assumes 22 MHz
+     * @note There is no channel width parameter; this method assumes 22 MHz
      *
-     * \param centerFrequency center frequency
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \returns a pointer to a newly allocated SpectrumValue representing the DSSS Transmit Power
+     * @param centerFrequency center frequency
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @returns a pointer to a newly allocated SpectrumValue representing the DSSS Transmit Power
      * Spectral Density in W/Hz
      */
     static Ptr<SpectrumValue> CreateDsssTxPowerSpectralDensity(MHz_u centerFrequency,
@@ -81,37 +81,37 @@
      * (802.11a/g).  Channel width may vary between 20, 10, and 5 MHz.
      * Guard bandwidth also typically varies with channel width.
      *
-     * \param centerFrequency center frequency
-     * \param channelWidth channel width
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \param minInnerBand the minimum relative power in the inner band
-     * \param minOuterband the minimum relative power in the outer band
-     * \param lowestPoint maximum relative power of the outermost subcarriers of the guard band
-     * \return a pointer to a newly allocated SpectrumValue representing the OFDM Transmit Power
+     * @param centerFrequency center frequency
+     * @param channelWidth channel width
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @param minInnerBand the minimum relative power in the inner band
+     * @param minOuterband the minimum relative power in the outer band
+     * @param lowestPoint maximum relative power of the outermost subcarriers of the guard band
+     * @return a pointer to a newly allocated SpectrumValue representing the OFDM Transmit Power
      * Spectral Density in W/Hz for each Band
      */
     static Ptr<SpectrumValue> CreateOfdmTxPowerSpectralDensity(MHz_u centerFrequency,
                                                                MHz_u channelWidth,
                                                                Watt_u txPower,
                                                                MHz_u guardBandwidth,
-                                                               dBr_u minInnerBand = -20,
-                                                               dBr_u minOuterband = -28,
-                                                               dBr_u lowestPoint = -40);
+                                                               dBr_u minInnerBand = dBr_u{-20},
+                                                               dBr_u minOuterband = dBr_u{-28},
+                                                               dBr_u lowestPoint = dBr_u{-40});
 
     /**
      * Create a transmit power spectral density corresponding to OFDM duplicated over multiple 20
      * MHz subchannels. Channel width may vary between 20, 40, 80, and 160 MHz.
      *
-     * \param centerFrequencies center frequency per segment
-     * \param channelWidth total allocated channel width over all segments
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \param minInnerBand the minimum relative power in the inner band
-     * \param minOuterband the minimum relative power in the outer band
-     * \param lowestPoint maximum relative power of the outermost subcarriers of the guard band
-     * \param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
-     * \return a pointer to a newly allocated SpectrumValue representing the duplicated 20 MHz OFDM
+     * @param centerFrequencies center frequency per segment
+     * @param channelWidth total allocated channel width over all segments
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @param minInnerBand the minimum relative power in the inner band
+     * @param minOuterband the minimum relative power in the outer band
+     * @param lowestPoint maximum relative power of the outermost subcarriers of the guard band
+     * @param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
+     * @return a pointer to a newly allocated SpectrumValue representing the duplicated 20 MHz OFDM
      * Transmit Power Spectral Density in W/Hz for each Band
      */
     static Ptr<SpectrumValue> CreateDuplicated20MhzTxPowerSpectralDensity(
@@ -119,9 +119,9 @@
         MHz_u channelWidth,
         Watt_u txPower,
         MHz_u guardBandwidth,
-        dBr_u minInnerBand = -20,
-        dBr_u minOuterband = -28,
-        dBr_u lowestPoint = -40,
+        dBr_u minInnerBand = dBr_u{-20},
+        dBr_u minOuterband = dBr_u{-28},
+        dBr_u lowestPoint = dBr_u{-40},
         const std::vector<bool>& puncturedSubchannels = {});
 
     /**
@@ -129,14 +129,14 @@
      * High Throughput (HT) (802.11n/ac).  Channel width may vary between
      * 20, 40, 80, and 160 MHz.
      *
-     * \param centerFrequencies center frequency per segment
-     * \param channelWidth total allocated channel width over all segments
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \param minInnerBand the minimum relative power in the inner band
-     * \param minOuterband the minimum relative power in the outer band
-     * \param lowestPoint maximum relative power of the outermost subcarriers of the guard band
-     * \return a pointer to a newly allocated SpectrumValue representing the HT OFDM Transmit Power
+     * @param centerFrequencies center frequency per segment
+     * @param channelWidth total allocated channel width over all segments
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @param minInnerBand the minimum relative power in the inner band
+     * @param minOuterband the minimum relative power in the outer band
+     * @param lowestPoint maximum relative power of the outermost subcarriers of the guard band
+     * @return a pointer to a newly allocated SpectrumValue representing the HT OFDM Transmit Power
      * Spectral Density in W/Hz for each Band
      */
     static Ptr<SpectrumValue> CreateHtOfdmTxPowerSpectralDensity(
@@ -144,24 +144,24 @@
         MHz_u channelWidth,
         Watt_u txPower,
         MHz_u guardBandwidth,
-        dBr_u minInnerBand = -20,
-        dBr_u minOuterband = -28,
-        dBr_u lowestPoint = -40);
+        dBr_u minInnerBand = dBr_u{-20},
+        dBr_u minOuterband = dBr_u{-28},
+        dBr_u lowestPoint = dBr_u{-40});
 
     /**
      * Create a transmit power spectral density corresponding to OFDM
      * High Efficiency (HE) (802.11ax) for contiguous channels.
      * Channel width may vary between 20, 40, 80, and 160 MHz.
      *
-     * \param centerFrequency center frequency
-     * \param channelWidth channel width
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \param minInnerBand the minimum relative power in the inner band
-     * \param minOuterband the minimum relative power in the outer band
-     * \param lowestPoint maximum relative power of the outermost subcarriers of the guard band
-     * \param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
-     * \return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power
+     * @param centerFrequency center frequency
+     * @param channelWidth channel width
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @param minInnerBand the minimum relative power in the inner band
+     * @param minOuterband the minimum relative power in the outer band
+     * @param lowestPoint maximum relative power of the outermost subcarriers of the guard band
+     * @param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
+     * @return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power
      * Spectral Density in W/Hz for each Band
      */
     static Ptr<SpectrumValue> CreateHeOfdmTxPowerSpectralDensity(
@@ -169,9 +169,9 @@
         MHz_u channelWidth,
         Watt_u txPower,
         MHz_u guardBandwidth,
-        dBr_u minInnerBand = -20,
-        dBr_u minOuterband = -28,
-        dBr_u lowestPoint = -40,
+        dBr_u minInnerBand = dBr_u{-20},
+        dBr_u minOuterband = dBr_u{-28},
+        dBr_u lowestPoint = dBr_u{-40},
         const std::vector<bool>& puncturedSubchannels = {});
 
     /**
@@ -179,15 +179,15 @@
      * High Efficiency (HE) (802.11ax) made of one or more frequency segment(s).
      * Channel width may vary between 20, 40, 80, and 160 MHz.
      *
-     * \param centerFrequencies center frequency per segment
-     * \param channelWidth total allocated channel width over all segments
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \param minInnerBand the minimum relative power in the inner band
-     * \param minOuterband the minimum relative power in the outer band
-     * \param lowestPoint maximum relative power of the outermost subcarriers of the guard band
-     * \param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
-     * \return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power
+     * @param centerFrequencies center frequency per segment
+     * @param channelWidth total allocated channel width over all segments
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @param minInnerBand the minimum relative power in the inner band
+     * @param minOuterband the minimum relative power in the outer band
+     * @param lowestPoint maximum relative power of the outermost subcarriers of the guard band
+     * @param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
+     * @return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power
      * Spectral Density in W/Hz for each Band
      */
     static Ptr<SpectrumValue> CreateHeOfdmTxPowerSpectralDensity(
@@ -195,9 +195,9 @@
         MHz_u channelWidth,
         Watt_u txPower,
         MHz_u guardBandwidth,
-        dBr_u minInnerBand = -20,
-        dBr_u minOuterband = -28,
-        dBr_u lowestPoint = -40,
+        dBr_u minInnerBand = dBr_u{-20},
+        dBr_u minOuterband = dBr_u{-28},
+        dBr_u lowestPoint = dBr_u{-40},
         const std::vector<bool>& puncturedSubchannels = {});
 
     /**
@@ -205,12 +205,12 @@
      * of HE TB PPDUs for a given RU.
      * An ideal (i.e. rectangular) spectral mask is considered for the time being.
      *
-     * \param centerFrequencies center frequency per segment
-     * \param channelWidth total allocated channel width over all segments
-     * \param txPower transmit power to allocate
-     * \param guardBandwidth width of the guard band
-     * \param ru the RU band used by the STA
-     * \return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power
+     * @param centerFrequencies center frequency per segment
+     * @param channelWidth total allocated channel width over all segments
+     * @param txPower transmit power to allocate
+     * @param guardBandwidth width of the guard band
+     * @param ru the RU band used by the STA
+     * @return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power
      * Spectral Density on the RU used by the STA in W/Hz for each Band
      */
     static Ptr<SpectrumValue> CreateHeMuOfdmTxPowerSpectralDensity(
@@ -247,24 +247,24 @@
      * shifted inwards and a flat junction band (at -20 dBr) had to be added
      * between the inner and the middle bands.
      *
-     * \param c spectrumValue to allocate according to transmit power spectral density mask (in W/Hz
+     * @param c spectrumValue to allocate according to transmit power spectral density mask (in W/Hz
      * for each band)
-     * \param allocatedSubBandsPerSegment vector of start and stop subcarrier indexes of the
+     * @param allocatedSubBandsPerSegment vector of start and stop subcarrier indexes of the
      * allocated sub bands, for each segment
-     * \param maskBand start and stop subcarrier indexes of transmit mask (in case signal doesn't
+     * @param maskBand start and stop subcarrier indexes of transmit mask (in case signal doesn't
      * cover whole SpectrumModel)
-     * \param txPowerPerBand power allocated to each subcarrier in the allocated sub bands
-     * \param nGuardBands size (in number of subcarriers) of the guard band (left and right)
-     * \param innerSlopeWidth size (in number of subcarriers) of the inner band (i.e. slope going
+     * @param txPowerPerBand power allocated to each subcarrier in the allocated sub bands
+     * @param nGuardBands size (in number of subcarriers) of the guard band (left and right)
+     * @param innerSlopeWidth size (in number of subcarriers) of the inner band (i.e. slope going
      * from 0 dBr to -20 dBr in the figure above)
-     * \param minInnerBand the minimum relative power in the inner band (i.e., -20 dBr in the
+     * @param minInnerBand the minimum relative power in the inner band (i.e., -20 dBr in the
      * figure above)
-     * \param minOuterband the minimum relative power in the outer band (i.e., -28 dBr in the
+     * @param minOuterband the minimum relative power in the outer band (i.e., -28 dBr in the
      * figure above)
-     * \param lowestPoint maximum relative power of the outermost subcarriers of the guard band
-     * \param puncturedSubBands vector of start and stop subcarrier indexes of the punctured sub
+     * @param lowestPoint maximum relative power of the outermost subcarriers of the guard band
+     * @param puncturedSubBands vector of start and stop subcarrier indexes of the punctured sub
      * bands, for each segment
-     * \param puncturedSlopeWidth size (in number of subcarriers) of the punctured band slope
+     * @param puncturedSlopeWidth size (in number of subcarriers) of the punctured band slope
      */
     static void CreateSpectrumMaskForOfdm(
         Ptr<SpectrumValue> c,
@@ -283,26 +283,26 @@
      * Normalize the transmit spectrum mask generated by CreateSpectrumMaskForOfdm
      * so that the total transmitted power corresponds to the input value.
      *
-     * \param c spectrumValue to normalize (in W/Hz for each band)
-     * \param txPower total transmit power to allocate
+     * @param c spectrumValue to normalize (in W/Hz for each band)
+     * @param txPower total transmit power to allocate
      */
     static void NormalizeSpectrumMask(Ptr<SpectrumValue> c, Watt_u txPower);
 
     /**
      * Calculate the power of the specified band composed of uniformly-sized sub-bands.
      *
-     * \param psd received Power Spectral Density in W/Hz
-     * \param segments a vector of pair of start and stop indexes that defines each segment of the
+     * @param psd received Power Spectral Density in W/Hz
+     * @param segments a vector of pair of start and stop indexes that defines each segment of the
      * band
      *
-     * \return band power
+     * @return band power
      */
     static Watt_u GetBandPowerW(Ptr<SpectrumValue> psd,
                                 const std::vector<WifiSpectrumBandIndices>& segments);
 };
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  * Struct defining a frequency range between minFrequency and maxFrequency.
  */
 struct FrequencyRange
@@ -314,20 +314,20 @@
 /**
  * Compare two FrequencyRange values
  *
- * \param lhs the FrequencyRange value on the left of operator
- * \param rhs the FrequencyRange value on the right of operator
+ * @param lhs the FrequencyRange value on the left of operator
+ * @param rhs the FrequencyRange value on the right of operator
  *
- * \return true if minFrequency of left is less than minFrequency of right, false otherwise
+ * @return true if minFrequency of left is less than minFrequency of right, false otherwise
  */
 bool operator<(const FrequencyRange& lhs, const FrequencyRange& rhs);
 
 /**
  * Compare two FrequencyRange values
  *
- * \param lhs the FrequencyRange value on the left of operator
- * \param rhs the FrequencyRange value on the right of operator
+ * @param lhs the FrequencyRange value on the left of operator
+ * @param rhs the FrequencyRange value on the right of operator
  *
- * \return true if both minFrequency and maxFrequency of left are equal to minFrequency and
+ * @return true if both minFrequency and maxFrequency of left are equal to minFrequency and
  * maxFrequency of right respectively, false otherwise
  */
 bool operator==(const FrequencyRange& lhs, const FrequencyRange& rhs);
@@ -335,10 +335,10 @@
 /**
  * Compare two FrequencyRange values
  *
- * \param lhs the FrequencyRange value on the left of operator
- * \param rhs the FrequencyRange value on the right of operator
+ * @param lhs the FrequencyRange value on the left of operator
+ * @param rhs the FrequencyRange value on the right of operator
  *
- * \return true if either minFrequency or maxFrequency of left different from minFrequency or
+ * @return true if either minFrequency or maxFrequency of left different from minFrequency or
  * maxFrequency of right respectively, false otherwise
  */
 bool operator!=(const FrequencyRange& lhs, const FrequencyRange& rhs);
@@ -346,24 +346,24 @@
 /**
  * Serialize FrequencyRange values to ostream (human-readable).
  *
- * \param os the output stream
- * \param freqRange the FrequencyRange
+ * @param os the output stream
+ * @param freqRange the FrequencyRange
  *
- * \return std::ostream
+ * @return std::ostream
  */
 std::ostream& operator<<(std::ostream& os, const FrequencyRange& freqRange);
 
 /// Identifier for the frequency range covering the whole wifi spectrum
-constexpr FrequencyRange WHOLE_WIFI_SPECTRUM = {2401, 7125};
+constexpr FrequencyRange WHOLE_WIFI_SPECTRUM = {MHz_u{2401}, MHz_u{7125}};
 
 /// Identifier for the frequency range covering the wifi spectrum in the 2.4 GHz band
-constexpr FrequencyRange WIFI_SPECTRUM_2_4_GHZ = {2401, 2483};
+constexpr FrequencyRange WIFI_SPECTRUM_2_4_GHZ = {MHz_u{2401}, MHz_u{2483}};
 
 /// Identifier for the frequency range covering the wifi spectrum in the 5 GHz band
-constexpr FrequencyRange WIFI_SPECTRUM_5_GHZ = {5170, 5915};
+constexpr FrequencyRange WIFI_SPECTRUM_5_GHZ = {MHz_u{5170}, MHz_u{5915}};
 
 /// Identifier for the frequency range covering the wifi spectrum in the 6 GHz band
-constexpr FrequencyRange WIFI_SPECTRUM_6_GHZ = {5945, 7125};
+constexpr FrequencyRange WIFI_SPECTRUM_6_GHZ = {MHz_u{5945}, MHz_u{7125}};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-standards.h ns-3.44/src/wifi/model/wifi-standards.h
--- ns-3.43/src/wifi/model/wifi-standards.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-standards.h	2025-03-09 16:55:49.803372600 -0700
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Identifies the IEEE 802.11 specifications that a Wifi device can be configured to use.
  */
 enum WifiStandard
@@ -41,11 +41,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param standard the standard
- * \returns a reference to the stream
+ * @param os the stream
+ * @param standard the standard
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, WifiStandard standard)
@@ -76,15 +76,15 @@
 }
 
 /**
- * \brief map a given standard configured by the user to the allowed PHY bands
+ * @brief map a given standard configured by the user to the allowed PHY bands
  */
 extern const std::map<WifiStandard, std::list<WifiPhyBand>> wifiStandards;
 
 /**
  * Get the type of the frequency channel for the given standard
  *
- * \param standard the standard
- * \return the type of the frequency channel for the given standard
+ * @param standard the standard
+ * @return the type of the frequency channel for the given standard
  */
 inline FrequencyChannelType
 GetFrequencyChannelType(WifiStandard standard)
@@ -103,9 +103,9 @@
 /**
  * Get the default channel width for the given PHY standard and band.
  *
- * \param standard the given standard
- * \param band the given PHY band
- * \return the default channel width for the given standard
+ * @param standard the given standard
+ * @param band the given PHY band
+ * @return the default channel width for the given standard
  */
 inline MHz_u
 GetDefaultChannelWidth(WifiStandard standard, WifiPhyBand band)
@@ -113,26 +113,26 @@
     switch (standard)
     {
     case WIFI_STANDARD_80211b:
-        return 22;
+        return MHz_u{22};
     case WIFI_STANDARD_80211p:
-        return 10;
+        return MHz_u{10};
     case WIFI_STANDARD_80211ac:
-        return 80;
+        return MHz_u{80};
     case WIFI_STANDARD_80211ad:
-        return 2160;
+        return MHz_u{2160};
     case WIFI_STANDARD_80211ax:
     case WIFI_STANDARD_80211be:
-        return (band == WIFI_PHY_BAND_2_4GHZ ? 20 : 80);
+        return (band == WIFI_PHY_BAND_2_4GHZ ? MHz_u{20} : MHz_u{80});
     default:
-        return 20;
+        return MHz_u{20};
     }
 }
 
 /**
  * Get the default PHY band for the given standard.
  *
- * \param standard the given standard
- * \return the default PHY band for the given standard
+ * @param standard the given standard
+ * @return the default PHY band for the given standard
  */
 inline WifiPhyBand
 GetDefaultPhyBand(WifiStandard standard)
@@ -155,9 +155,9 @@
 /**
  * Get the TypeId name for the FrameExchangeManager corresponding to the given standard.
  *
- * \param standard the given standard
- * \param qosSupported whether QoS is supported (ignored if standard is at least HT)
- * \return the TypeId name for the FrameExchangeManager corresponding to the given standard
+ * @param standard the given standard
+ * @param qosSupported whether QoS is supported (ignored if standard is at least HT)
+ * @return the TypeId name for the FrameExchangeManager corresponding to the given standard
  */
 inline std::string
 GetFrameExchangeManagerTypeIdName(WifiStandard standard, bool qosSupported)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-tx-current-model.h ns-3.44/src/wifi/model/wifi-tx-current-model.h
--- ns-3.43/src/wifi/model/wifi-tx-current-model.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-tx-current-model.h	2025-03-09 16:55:49.803372600 -0700
@@ -17,17 +17,17 @@
 {
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
- * \brief Model the transmit current as a function of the transmit power and mode
+ * @brief Model the transmit current as a function of the transmit power and mode
  *
  */
 class WifiTxCurrentModel : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -35,16 +35,16 @@
     ~WifiTxCurrentModel() override;
 
     /**
-     * \param txPower the nominal TX power
-     * \returns the transmit current
+     * @param txPower the nominal TX power
+     * @returns the transmit current
      */
     virtual ampere_u CalcTxCurrent(dBm_u txPower) const = 0;
 };
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
- * \brief a linear model of the Wifi transmit current
+ * @brief a linear model of the Wifi transmit current
  *
  * This model assumes that the transmit current is a linear function
  * of the nominal transmit power used to send the frame.
@@ -76,8 +76,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-tx-parameters.cc ns-3.44/src/wifi/model/wifi-tx-parameters.cc
--- ns-3.43/src/wifi/model/wifi-tx-parameters.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-tx-parameters.cc	2025-03-09 16:55:49.803372600 -0700
@@ -270,8 +270,6 @@
 uint32_t
 WifiTxParameters::GetSize(Mac48Address receiver) const
 {
-    NS_LOG_FUNCTION(this << receiver);
-
     auto infoIt = m_info.find(receiver);
 
     if (infoIt == m_info.end())
